Page MenuHomePhabricator

Personalized first day: write survey copy
Closed, ResolvedPublicOct 26 2018

Description

This task is about writing all the copy for the new survey. This is not just survey questions, but is also the headings, introductory text, any privacy or how-to information, and buttons.

With respect to the questions in the survey form:

  • Write a set of questions we care about.
  • Decide which are most important.
  • Decide on the way we ask them (multiple choice, checkbox, open-ended).
  • Decide on their response options.
  • Decide on the order to ask them.

We will want to consult with other community members, staff members, or teams who have experience asking questions of new editors on the wikis to learn about any best practices.

The copy will need to be tested before they are deployed to ensure that respondents understand them the same way as the writers do. The task for translating to other languages is T206376.


Copy doc: https://docs.google.com/document/d/11Sc_937n87MsLyI3MccqJV-GvP14o5r3ArcBUpgN2M0

Details

Due Date
Oct 26 2018, 12:00 AM

Event Timeline

MMiller_WMF updated the task description. (Show Details)Oct 6 2018, 12:55 AM

We can ask experienced users who work with newcomers.

JTannerWMF assigned this task to RHo.Oct 17 2018, 6:01 PM
JTannerWMF moved this task from Upcoming Work to Current Sprint on the Growth-Team board.
JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

@RHo -- posting here an idea that came up today. We know that many people who create accounts aren't doing so with the intention of editing, (and this project will, of course, help us find out how many). This is a survey from English Wikipedia in 2012 indicating that up to 35% of account creators don't intend to edit.

It is possible that many of those people don't realize it's possible to edit Wikipedia. I wonder if something about our question wording or about the design of the page can tell these account creators that it is possible to edit, and that's the main reason people create accounts.

@leila -- we've made the Phabricator tasks for the project I was telling you about, in which we ask newcomers a set of optional questions right when they create their accounts in Czech and Korean Wikipedias. This is the specific task about writing the questions themselves, nested under the project's epic.

Since you have some experience asking newcomers questions, I am hoping you can follow along. We're going to be posting on this task with some draft questions.

leila added a comment.Oct 17 2018, 9:46 PM

@MMiller_WMF yup. Thanks. We had some more discussions about it last Friday and I'll reach out to you to discuss more details.

MMiller_WMF renamed this task from Personalized first day: write and test survey questions to Personalized first day: write and test copy.Oct 18 2018, 8:20 PM
MMiller_WMF updated the task description. (Show Details)

Some notes as @RHo begins to assemble the copy:

  • We want it to be really clear -- not subtle -- that the questions are optional. We should also give a rationale for why the user should answer them, e.g. "to help us improve the experience for new editors".
  • It should be clear that we're not going to expose the email address to anyone, including the "experienced editor".
RHo updated the task description. (Show Details)Oct 18 2018, 11:04 PM
JTannerWMF set Due Date to Oct 24 2018, 12:00 AM.Oct 19 2018, 8:05 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 19 2018, 8:05 PM
RHo renamed this task from Personalized first day: write and test copy to Personalized first day: write survey copy.Oct 24 2018, 6:04 PM
RHo changed Due Date from Oct 24 2018, 12:00 AM to Oct 26 2018, 12:00 AM.

Revised due-date to allow interested parties time to provide feedback prior to proceeding to Translate Wiki.

@MMiller_WMF - the varA copy is essentially completed, only missing links and OK from Legal. Note that the column for additional information for TranslateWiki is also completed assuming we are going with that option (else it is probably still useful for however we end up translating the text).

MMiller_WMF closed this task as Resolved.Oct 30 2018, 12:49 AM

I reviewed the copy and additional notes for Translatewiki, and everything looks good. Thank you!

I will keep working on links and legal approval, but everything else is ready to go for @SBisson to put into the code.

RHo added a comment.Oct 31 2018, 5:30 PM

hi @SBisson - still waiting on Legal for the privacy statement link, but note that we've updated the welcomesurvey-question-mentor-info field slightly to the following:

We are considering starting a program for more experienced editors to help newer users with editing. Are you interested in being contacted to get help with editing?

hi @SBisson - still waiting on Legal for the privacy statement link, but note that we've updated the welcomesurvey-question-mentor-info field slightly to the following:
We are considering starting a program for more experienced editors to help newer users with editing. Are you interested in being contacted to get help with editing?

I've updated the message and made the privacy statement url a config variable so we can set it up later (and have different ones per wiki if needed).